<template>
	<view>
		<u-navbar :is-back="showBackBtn" :title="title" z-index="99999999999999">
			<view class="slot-wrap">
				<u-icon class="homeIcon" v-if="showHomeBtn" @click="goHome()" name="home"  size="40"></u-icon>
			</view>
		</u-navbar>
	</view>
</template>

<script>
import { mapGetters } from 'vuex';
export default {
	name: 'navBar',
	props: {
		statusBar:{
			type:Boolean,
			default:true
		},
		title:{
			type:String,
			default:''
		},
		showBackBtn:{
			type:Boolean,
			default:true,
		},
		showHomeBtn:{
			type:Boolean,
			default:true
		}
	},
	components: {
	},
	data() {
		return {
			
		};
	},
	onLoad() {},
	created() {
	},
	mounted() {
		
	},
	onPageShow() {
		
	},
	methods: {
		goHome() {
			uni.switchTab({
			    url: '/pages/index/index'
			});
		}
	},
	computed: { ...mapGetters(['goodsAuditionConfigIdList']) },
};
</script>

<style scoped lang="scss">
	.homeIcon {
		margin-left:20rpx;
	}
	
	.slot-wrap {
		display: flex;
		align-items: center;
	}
</style>
